using Fenryxo.Test;
using Fenryxo.Logger;

class Nuvola.ServicesManagerViewTest: Fenryxo.Test.TestCase{
	private Fenryxo.Storage storage;
	private ServicesManager manager;
	private Fenryxo.Config.MultiTypeMap? ui_state;
	private Fenryxo.Config.MultiTypeMap? config;
	private JSApi? js_api;
	
	construct{
		add_task("load", test_load, {"/NuvolaServicesManagerTest/list_services"});
	}
	
	public override void set_up_before(){
		storage = new Storage(APPNAME + "/services");
		manager = new ServicesManager(storage);
	}
	
	public override void set_up(){
		ui_state = new Fenryxo.Config.MultiTypeHashMap();
		config = new Fenryxo.Config.MultiTypeHashMap();
		js_api = new JSApi(storage);
	}
	
	public override void tear_down(){
		ui_state = null;
		config = null;
		js_api = null;
	}
	
	public void test_load() throws TestError{
		var services = manager.list_services();
		var view = new ServicesManagerView(services);
		var keys = services.get_keys();
		keys.sort(strcmp);
		Assert.not_null(view.service, "Current service is null");
		Assert.cmp_str(view.service.id, "==", keys.nth_data(0));
		
	}
}


