(function(Nuvola){

if(!Nuvola)
	throw new Error("Nuvola is false");

if (("" + Nuvola) != "[object Nuvola JavaScript API]")
	throw new Error("Nuvola is not JavaScript API");

if (Nuvola.frame_id != "__my_frame__")
	throw new Error("Unexpected frame id: " + Nuvola.frame_id);

var result;
try
{
	result = Nuvola.injectToFrame();
}
catch(e)
{
	result = undefined;
}
if (result !== undefined)
	throw new Error("Call without arguments should fail.");


result = Nuvola.injectToFrame("iframe0");
if (result !== false)
	throw new Error("Call with iframe0 name should fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst");
if (result !== true)
	throw new Error("Call with iframe1 should not fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst", true);
if (result !== true)
	throw new Error("Call with iframe1 (toplevel true) should not fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst", null);
if (result !== true)
	throw new Error("Call with iframe1 (toplevel null) should not fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst", false);
if (result !== true)
	throw new Error("Call with iframe1 (toplevel false) should not fail.");

result = Nuvola.injectToFrame("iframe2");
if (result !== true)
	throw new Error("Call with iframe2 should not fail.");

result = Nuvola.injectToFrame("iframe3");
if (result !== false)
	throw new Error("Call with iframe3 name should fail.");

})(this);
