(function(Nuvola){

if(!Nuvola)
	throw new Error("Nuvola is false");

var variables = [
	// Version info
	"VERSION_MAJOR", "VERSION_MINOR", "VERSION_BUGFIX", "VERSION_SUFFIX", "API_VERSION", "API_VERSION_MINOR",
	// Playback states
	"STATE_PLAYING", "STATE_PAUSED", "STATE_NONE",
	// Actions
	"ACTION_PLAY", "ACTION_PAUSE", "ACTION_TOGGLE_PLAY", "ACTION_PREV_SONG", "ACTION_NEXT_SONG",
	"ACTION_THUMBS_UP", "ACTION_THUMBS_DOWN", "ACTION_FAVORITE", "CONFIG_CHANGED",
	// Other
	"config", "PREFERENCES_FRAME_ID", "MAIN_FRAME_ID", "frame_id"
];

var functions = [
	"gettext", "bind",
	"triggerMouseEvent", "clickOnElement",
	"makeText", "makeElement", "makeClass",
	"updateSong", "updateAction", "triggerAction",
	"reloadConfig", "saveConfig", "onMessageReceived",
	"Form", "FormWidget", "Entry", "Checkbox", "FormBox",
	"ReloadNotice", "FormMessage", "makeButton", "getSettingsForm"
];

var i = 0;
for (var key in Nuvola)
{
	console.log();
	if ((i = variables.indexOf(key)) >= 0 && typeof(Nuvola[key]) != "function")
		variables[i] = undefined;
	else if((i = functions.indexOf(key)) >= 0 && typeof(Nuvola[key]) == "function")
		functions[i] = undefined;
	else
		console.log("Unknown key in Nuvola: " + key);
}

var missing = [];
var value;
for (i = 0; i < variables.length; i++)
	if ((value = variables[i]) !== undefined) 
		missing.push(value);
for (i = 0; i < functions.length; i++)
	if ((value = functions[i]) !== undefined) 
		missing.push(value);

if (missing.length)
	throw new Error("Missing keys: " + missing.join(", "));

})(this);
