public class Nuvola.MockPlayer: Nuvola.Player{
	const int SONGS_COUNT = 10;
	public int pos = -1;
	
	public MockPlayer(Diorite.Actions? actions, Diorite.ActionGroups? action_groups)
	{
		base(actions, action_groups);
	}
	
	public override void next_song()
	{
		if (pos < SONGS_COUNT)
		{
			pos++;
			change_song(pos);
		}
	}
	
	public override void previous_song()
	{
		if (pos > 0)
		{
			pos--;
			change_song(pos);
		}
	}
	
	public override void pause()
	{
		if (playback_state == STATE_PLAYING)
		{
			playback_state = STATE_PAUSED;
		}
	}
	
	public override void toggle_play()
	{
		if (playback_state == STATE_PLAYING)
		{
			playback_state = STATE_PAUSED;
		}
		else
		{
			play();
		}
	}
	
	public override void stop()
	{
		if (playback_state == STATE_PLAYING)
		{
			playback_state = STATE_PAUSED;
		}
	}
	
	public override void play()
	{
		if (pos < 0)
		{
			change_song(0);
		}
		if (playback_state != STATE_PLAYING)
		{
			playback_state = STATE_PLAYING;
		}
	}
	
	public override void thumbs_up(){}
	public override void thumbs_down(){}
	public override void favorite(){}
	
	public void change_song(int num)
	{
		if (num >= 0)
		{
			pos = num;
			song = @"Song #$num";
			artist = @"Artist #$num";
			album = @"Album #$num";
		}
		else
		{
			pos = -1;
			song = null;
			artist = null;
			album = null;
		}
		
		song_changed(song, artist, album, album_art);
		if (actions != null)
		{
			actions.get_action(Actions.PREV_SONG).sensitive = pos != 0;
			actions.get_action(Actions.NEXT_SONG).sensitive = pos < SONGS_COUNT;
			actions.get_action(Actions.THUMBS_DOWN).sensitive = false;
			actions.get_action(Actions.THUMBS_UP).sensitive = false;
			actions.get_action(Actions.FAVORITE).sensitive = false;
		}
		
		play();
	}
}
