namespace Nuvola
{

class MainWindowTest: GuiDemo
{
	private MainWindow window;
	private Gtk.Box overlay_widget;
	
	construct
	{
		var app = new MockApplication();
		var ui_manager = new Gtk.UIManager();
		var actions = new Diorite.Actions(ui_manager, "MainWindowTest");
		var storage = new Diorite.XdgStorage.for_project(Config.APPNAME);
		window = new MainWindow(app, ui_manager, actions, storage);
		
		var web_view = new WebKit.WebView();
		web_view.set_size_request(400, -1);
		var message = "<h1>Hello world</h1><p>";
		message += "This is the MainWindow with WebView and TextView panes";
		message += "</p><div  style=\"margin-bottom: 50em;\">---</div>";
		web_view.load_html_string(message, "file:///");
		window.content.add(web_view);
		
		var text_view = new Gtk.TextView();
		var force = "May the Force be with you";
		for (int i=0; i < 100; i++)
			force +="\n";
		text_view.buffer.insert_at_cursor(force, -1);
		var scroll = new Gtk.ScrolledWindow(null, null);
		scroll.set_size_request(200, -1);
		scroll.add(text_view);
		
		var box = new Gtk.Box(Gtk.Orientation.VERTICAL, 5);
		var show_button = new Gtk.Button.with_label("Show overlay");
		show_button.clicked.connect(show_overlay_widget);
		show_button.show();
		box.add(show_button);
		box.add(scroll);
		
		window.set_sidebar(box);
		window.destroy_event.connect(() => { done();});
		window.show_all();
		
		overlay_widget = new Gtk.Box(Gtk.Orientation.VERTICAL, 5);
		var label = new Gtk.Label("Hello, overlay!");
		label.show();
		overlay_widget.add(label);
		var button = new Gtk.Button.with_label("Hide overlay");
		button.clicked.connect(hide_overlay_widget);
		button.show();
		overlay_widget.add(button);
		show_overlay_widget();
	}
	
	~MainWindowTest()
	{
		window.destroy();
	}
	
	private void show_overlay_widget()
	{
		window.overlay.add_overlay(overlay_widget);
		overlay_widget.show();
	}
	
	private void hide_overlay_widget()
	{
		overlay_widget.hide();
		window.overlay.remove(overlay_widget);
	}
}

} //namespace Nuvola
