# encoding: utf-8
# This file contains data for ./create-copyright-file.py and has no legal value.
# See ../COPYRIGHT for copyright and license information.

copyright_info = [
	{
		"files": "*",
		"copyright": "2011-2013 Jiří Janoušek <janousek.jiri@gmail.com>",
		"license": "BSD-2-Clause"
	},
	{
		"files": "src/diorite/keybindings.vala",
		"copyright": (
			"2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>",
			"2011 Oliver Sauder <os@esite.ch>"
		),
		"license": "BSD-2-Clause"
	},
	{
		"files": "data/nuvolaplayer/services/amazon/*",
		"copyright": "2012 Michael Mims <mims.michael@gmail.com>",
		"license": "BSD-2-Clause"
	},
	{
		"files": (
			"data/nuvolaplayer/services/eighttracks/*",
			"data/nuvolaplayer/services/hypem/*"
		),
		"copyright": (
			"2011 Janez Troha <janez.troha@gmail.com>",
			"2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>",
			"2013 Michael J Coyne <mikeycgto@gmail.com>"
		),
		"license": "BSD-2-Clause"
	},
	{
		"files": "data/nuvolaplayer/services/pandora/*",
		"copyright":  (
			"2012 Adam Wolfe Gordon <awg@xvx.ca>",
			"2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>"
		),
		"license": "BSD-2-Clause"
	},
	{
		"files": "data/nuvolaplayer/services/deezer/*",
		"copyright":  "Michał Pawłowski <michal@pawlowski.be>",
		"license": "BSD-2-Clause"
	},
	{
		"files": "data/nuvolaplayer/services/rdio/*",
		"copyright": "2012-2013 Michael Mims <mims.michael@gmail.com>",
		"license": "BSD-2-Clause"
	},
	{
		"files": "data/nuvolaplayer/js/flash_detect.js",
		"copyright": "2007 Carl S. Yestrau",
		"license": "BSD-3-Clause (Feature Blend)"
	},
	{
		"files": "graphics/nuvola-icon/working_files.svg",
		"copyright": (
			"2011 Alexander King",
			"2011 Jiří Janoušek <janousek.jiri@gmail.com>"
		),
		"license": "CC-BY-3.0"
	},
	{
		"files": "graphics/nuvola-icon/nuvola-player.*.svg",
		"copyright": (
			"2011 Arturo Torres Sánchez <arturo.ilhuitemoc@gmail.com>",
			"2011 Alexander King",
		),
		"license": "CC-BY-3.0"
	},
	{
		"files": "graphics/service-icons/*",
		"copyright": "2012 Alexander King",
		"license": "BSD-2-Clause"
	},
	{
		"files": "translations/*.po",
		"copyright": "2011 Rosetta Contributors and Canonical Ltd",
		"license": "BSD-2-Clause"
	},
	{
		"files": ("waf", "waflib/*"),
		"copyright": "2010-2011 Thomas Nagy and Waf contributors",
		"license": "BSD-3-Clause"
	},
	{
		"files": ("wscript", "waflib/nuvolaextras.py"),
		"copyright": "2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>",
		"license": "BSD-2-Clause"
	},
	{
		"files": ("external/fsotest/assert.vala", "external/fsotest/signalwaiter.vala"),
		"copyright": "2011-2012 Simon Busch <morphis@gravedo.de>",
		"license": "LGPL-2.1+"
	},
	{
		"files": "external/fsotest/asynchelpers.vala",
		"copyright": "2009-2012  Jan Hudec <bulb@ucw.cz>",
		"license": "LGPL-3.0+"
	},
	{
		"files": "external/fsotest/testcase.vala",
		"copyright": "2009-2012 Julien Peeters",
		"license": "LGPL-2.1+"
	},
	{
		"files": "external/vala-0.18/*",
		"copyright": "2007-2012 Evan Nemerson, Jürg Billeter, Luca Bruno and others",
		"license": "LGPL-2.1+"
	},
	{
		"files": "external/vala-0.18/glib-2.0.vapi",
		"copyright": (
			"2006-2012  Jürg Billeter",
			"2006-2008  Raffaele Sandrini",
			"2007 Mathias Hasselmann"
		),
		"license": "LGPL-2.1+-vala"
	}
]



licenses = {
	"GPL-2.0+": {
		"name": "GNU GPL 2.0+",
		"debian_name": "GPL-2.0+",
		"debian_text": """\
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
""",
		"file": "licenses/GNU-GPL-2.0.txt"
	},
	"GPL-3.0+": {
		"name": "GNU GPL 3.0+",
		"debian_name": "GPL-3.0+",
		"debian_text": """\
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
""",
		"file": "licenses/GNU-GPL-3.0.txt"
	},
	"LGPL-3.0+": {
		"name": "GNU LGPL 3.0+",
		"debian_name": "LGPL-3.0+",
		"debian_text": """\
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published
 by the Free Software Foundation, either version 3 of the License, or (at
 your option) any later version.
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License version 3 can be found in "/usr/share/common-licenses/LGPL-3".
""",
		"file": "licenses/GNU-LGPL-3.0.txt"
	},
	"LGPL-2.1+": {
		"name": "GNU LGPL 2.1+",
		"debian_name": "LGPL-2.1+",
		"debian_text": """\
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published
 by the Free Software Foundation, either version 2.1 of the License, or (at
 your option) any later version.
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1".
""",
		"file": "licenses/GNU-LGPL-2.1.txt"
	},
	"LGPL-2.1+-vala": {
		"name": "GNU LGPL 2.1+  with a special exception (see the file for details)",
		"debian_name": "LGPL-2.1+ with a special exception",
		"debian_text": """\
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 .
 As a special exception, if you use inline functions from this file, this
 file does not by itself cause the resulting executable to be covered by
 the GNU Lesser General Public License.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1".
""",
		"file": "licenses/GNU-LGPL-2.1.txt"
	},
	"CC-BY-3.0": {
		"name": "CC-BY-3.0",
		"file": "licenses/CC-BY-3.0.txt"
	},
	"BSD-2-Clause": {
		"name": "The BSD 2-Clause License",
		"file": "licenses/BSD-2-Clause.txt"
	},
	"BSD-3-Clause": {
		"name": "The BSD 3-Clause License",
		"file": "licenses/BSD-3-Clause.txt"
	},
	"BSD-3-Clause (Feature Blend)": {
		"name": "BSD 3-Clause Feature Blend License",
		"debian_name": "The BSD 3-Clause License",
		"file": "licenses/Feature-Blend.txt"
	}

}

header = """\
COPYRIGHT AND LICENSE INFORMATION

This file contains overall copyright and license information, see source code
headers for details. If you find a mistake, feel free to create a bug report
at https://bugs.launchpad.net/nuvola-player

Here follows a list of files and their copyright and license information.
The last paragraph that matches a particular file applies to it. Asterisk (*)
expands to any string including "/".
"""

header_debian = """\
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: Nuvola Player
Upstream-Contact: Jiří Janoušek <janousek.jiri@gmail.com>
Source: https://launchpad.net/nuvola-player/+download
"""
