#!/bin/bash

BRANCH="~fenryxo/nuvola-player/translations"
TMPDIR="/tmp/nuvola-player-translations-`date +%s`"
SOURCE="$TMPDIR/translations"
TARGET="$PWD/translations"
LIST="$TARGET/LINGUAS"

echo ">>> Downloading translation from lp:$BRANCH"
bzr branch "bzr+ssh://bazaar.launchpad.net/$BRANCH" "$TMPDIR"
echo
echo ">>> Copying translation files"
cp -vf "$SOURCE"/* "$TARGET"
echo
echo ">>> Generating list of translation files"
echo "# automatically generated alphabeticaly sorted list of PO files" > $LIST
for ITEM in `ls "$TARGET"`; do
	L=`echo $ITEM | cut -d "." -f 1`
	if [ "$L" == "nuvolaplayer" -o "$L" == "LINGUAS" ]; then
		continue;
	fi
	echo "$L" >> $LIST
	head -n 1 "$TARGET/$ITEM" | sed 's/ translation/#/g' | cut -d "#" -f 2
done
echo
cat "$LIST"
echo
echo ">>> Cleaning up"
rm -r "$TMPDIR"
echo ">>> Done"
