#!/bin/bash
if [ "$1" == "" ]; then
	echo "Usage: $0 command arg1 arg2 ..."
else
	TIME0=`date +%s`
	"$@" &
	PID=$!
	FILE=memtest-$PID-$TIME0.csv
	echo "$*;" > $FILE
	echo "time [s];memory [KB];" >> $FILE
	sleep 0.1
	while [ 1 ]; do
		TIME=`date +%s`
		# select by PID, show memory usage, skip header
		MEM=`ps -p $PID -o rsz --no-header`
		if [ "$MEM" == "" ]; then
			# proccess not found
			break
		fi
		ELAPSED=`expr $TIME - $TIME0`
		echo "$ELAPSED;$MEM;" >> $FILE
		echo "$ELAPSED;$MEM;"
		sleep 1
	done
fi
