#!/bin/bash
# Installs Nuvola Player service to user's home directory
# Copyright 2012 Jiří Janoušek <janousek.jiri@gmail.com>
# License: http://www.opensource.org/licenses/bsd-license.php

if [[ "$EUID" == "0" ]]; then
   echo "No need to be root" 1>&2
   exit 1
fi

TARGET="$HOME/.local/share/nuvolaplayer/services"
mkdir -pv $TARGET
for DIR in `ls -p | grep / | tr -d /`; do
  echo ">> Installing service $DIR ..."
  cp -rvf $DIR $TARGET
  echo ">> Installing service $DIR ... done!"
done

TEXT="Services were successfully installed to $TARGET"
zenity --info --text "$TEXT" \
|| notify-send "$TEXT"
